---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

- name: Jenkins-stack - Installation
  hosts: server_jenkins
  become: yes
  tasks:
    - name: Jenkins-stack - Configure Linux On-Premise
      ansible.builtin.include_role:
        name: linux_prem
        apply: { tags: [ linux ] }
      tags: linux

    - name: Jenkins-stack - Install Docker
      ansible.builtin.include_role:
        name: docker
      vars:
        docker_repo_url: "{{ _package_yum_url['docker'] }}"
        docker_yum_gpg_key: "{{ _package_yum_url['docker'] }}centos/gpg"
        docker_users:
          - "{{ stack_project.user }}"
      tags: docker

    - name: Jenkins-stack - Install Docker-Stack
      ansible.builtin.include_role:
        name: docker_stack
      tags: stack
